#!/usr/bin/gnuplot

set term png small
set out "chi2_FAM.png"

set xl "family (criterion)"
set yl "number of families N(>D_PB)" offset +1

set xr [0:]
set xtics 1
set zeroaxis

set style line 1 lt  1 lw 3 pt 1	# sigma
set style line 2 lt  3 lw 1 pt 1 ps 0	# chi^2
set style line 3 lt  9 lw 1 pt 1 ps 1.0	# observed
set style line 4 lt  8 lw 2 pt 1 ps 1.5	# simulated

load "chi2.lab"
set label sprintf("chi2 = %.2f", chi2) at graph 0.1, graph 0.1
set label sprintf("q_fact_1 = %.3f", q_fact_1) at graph 0.1, graph 0.05

p "chi2_FAM.dat" u ($1+1.e-8):2   t "simulated" w p   ls 4,\
  "chi2_FAM.dat" u 1:3 t "observed" w p ls 3,\
  "chi2_FAM.dat" u 1:3:4 t "chi^2" w err ls 2,\
  "<awk '!/\?/{ print $1,$2; print $1,$3; print \"\"; }' chi2_FAM.dat" u 1:2 t "sigma" w l ls 1
#pa -1

#rep

q


