#!/usr/bin/gnuplot

set term png small
set out "chi2_SFD.png"

set xl "diameter D / km"
set yl "number of asteroids N(>D)" offset +1

set xr [0.05:1000]
y1=0.8
y2=1.e9
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10

set style line 1 lt  1 lw 3 pt 1	# chi^2
set style line 2 lt  3 lw 1 pt 1 ps 0	# sigma
set style line 3 lt  5 lw 1 pt 1	# evolved MB
set style line 4 lt  6 lw 1 pt 1	# initial MB
set style line 5 lt  9 lw 1 pt 1	# observed MB

load "chi2.lab"
set label sprintf("chi2 = %.2f", chi2) at graph 0.1, graph 0.1
set label sprintf("q_fact_1 = %.3f", q_fact_1) at graph 0.1, graph 0.05

p "MB.dat_hc" u 1:2 t "observed MB" w l ls 5,\
  "<awk '($2==1)' gen_sfd_ic.tmp | ./hc.awk" u 1:2 t "initial MB" w l ls 4,\
  "<awk '($5==1)' chi2_SFD.dat" u 1:2 t "evolved MB" w lp ls 3,\
  "<awk '!/\?/' chi2_SFD.dat" u 1:3:4 t "chi^2" w err ls 2,\
  "<awk '!/\?/{ print $1,$2; print $1,$3; print \"\"; }' chi2_SFD.dat" u 1:2 t "sigma" w l ls 1
#pa -1

#rep

q

  "<awk '($5==2)' chi2_SFD.dat" u 1:2 t "evolved family" w lp ls 4,\
  "koronis_family.dat_hc" u 1:2 t "observed Koronis" w l ls 5,\



