#!/usr/bin/gnuplot

set xl "diameter D / km"
set yl "number of asteroids N(>D)" offset +1

set xr [0.05:1000]
y1=0.8
y2=1.e9
set yr [y1:y2]
set logscale xy
set mxtics 10
set ytics 10
set mytics 10

set style line 1 lt  1 lw 3 pt 1	# chi^2
set style line 2 lt  3 lw 1 pt 1 ps 0	# sigma
set style line 3 lt  5 lw 1 pt 1	# evolved MB
set style line 4 lt  6 lw 1 pt 1	# initial MB
set style line 5 lt  9 lw 1 pt 1	# observed MB

p "MB.dat_hc" u 1:2 t "observed MB" w l ls 5,\
  "<awk '(FNR==1){ print \"\"; } ($2==1)' gen_sfd_ic_*.tmp | ./hc.awk" u 1:2 t "initial MB" w l ls 4
pa -1

set term png small
set out "gen_sfd_ic.png"
rep

q

  "<awk '($5==2)' chi2_SFD.dat" u 1:2 t "evolved family" w lp ls 4,\
  "koronis_family.dat_hc" u 1:2 t "observed Koronis" w l ls 5,\



